Bug 972647 - evince crashed in pixman library
Summary: evince crashed in pixman library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pixman
Version: 6.5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 994246 1056244 CVE-2014-9766
TreeView+ depends on / blocked
 
Reported: 2013-06-10 10:31 UTC by Siddharth
Modified: 2018-12-06 15:06 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 04:51:59 UTC


Attachments (Terms of Use)
main pdf (2.46 MB, application/pdf)
2013-06-10 10:31 UTC, Siddharth
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1376 normal SHIPPED_LIVE xcb-util, xorg-x11-drivers, and mesa bug fix and enhancement update 2014-10-14 01:11:03 UTC

Description Siddharth 2013-06-10 10:31:10 UTC
Created attachment 759131 [details]
main pdf

Description of problem:
evince crash in pixman library.


Version-Release number of selected component (if applicable):
evince-2.28.2-14.el6_0.1.x86_64
pixman-0.26.2-5.el6_4.x86_64

How reproducible:
Always

Steps to Reproduce:
1. evince main.pdf 
2. evince crashed in function pixman_image_fill_rectangles()
3. evince get crashed

Actual results:
evince crashing

Expected results:
evince should not crash

Additional info:

Comment 15 RHEL Product and Program Management 2013-10-13 23:29:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 17 Søren Sandmann Pedersen 2014-04-09 18:05:29 UTC
Patch looks correct -- devel-ack.

Comment 25 errata-xmlrpc 2014-10-14 04:51:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1376.html


Note You need to log in before you can comment on or make changes to this bug.